## org.apache.ivy.plugins.parser.m2
Class PomReader.PomDependencyMgtElement

    java.lang.Object
      org.apache.ivy.plugins.parser.m2.PomReader.PomDependencyMgtElement

All Implemented Interfaces:
  PomDependencyMgt

Direct Known Subclasses:
  PomReader.PomDependencyData

Enclosing class:
  PomReader

    public class PomReader.PomDependencyMgtElement

extends java.lang.Object
implements PomDependencyMgt

Constructor Summary
`PomReader.PomDependencyMgtElement(PomReader.PomDependencyMgtElement copyFrom)`

Method Summary
`java.lang.String` `getArtifactId()`
`java.util.List` `getExcludedModules()`
`java.lang.String` `getGroupId()`
`java.lang.String` `getScope()`
`java.lang.String` `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PomReader.PomDependencyMgtElement

    public PomReader.PomDependencyMgtElement(PomReader.PomDependencyMgtElement copyFrom)

Method Detail

### getGroupId

    public java.lang.String getGroupId()

  Specified by:
    `getGroupId` in interface `PomDependencyMgt`

### getArtifactId

    public java.lang.String getArtifactId()

  Specified by:
    `getArtifactId` in interface `PomDependencyMgt`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `PomDependencyMgt`

### getScope

    public java.lang.String getScope()

  Specified by:
    `getScope` in interface `PomDependencyMgt`

### getExcludedModules

    public java.util.List getExcludedModules()

  Specified by:
    `getExcludedModules` in interface `PomDependencyMgt`